<div id="main" role="main" class="page-content pt-6 row">
  <div class="col-12 col-sm-3">
    <div class="sidebar">
      <h3 class="h4 page-title mt-3 mb-2">{{ 'customer_accounts.register.help_title' | t }}</h3>
      <hr class="mb-5">
      {% include 'contact_msg' %}
      <p class="avenir-bold">
        {{ 'customer_accounts.login.register_link' | t }}
      </p>
      <a href="{{ shop_url }}/account/register" class="btn btn-sm btn-secondary"> {{ 'customer_accounts.register.register_button' | t }} </a>
    </div>
  </div>
  
  <div class="col-12 col-sm-9 d-none" id="CustomerLoginForm">
    <section class="content">
      <header class="page-header">
        <h1 class="h2 page-title mt-1 mb-2">{{ 'customer_accounts.login.page_title' | t }}</h1>
        <hr class="mb-5">
      </header>
      <div class="customer-login-form">
        <div class="customer-login-description mb-4">
          {{ 'customer_accounts.login.description_html' | t }}
        </div>
        <div class="form-wrapper row no-gutters bg-light py-5 rounded">
          <div class="col-12 col-md-10 col-lg-8 px-4 login-form">
            {% form 'customer_login' %}
              {% assign form_errors_message = 'errors.customer_accounts.form_message' | t %}
              {% if form.errors %}
                <div class="alert alert-danger" role="alert">
                  {{ form.errors | default_errors }}
                </div>
              {% endif %}
            
              <div class="form-group mb-4">
                <label for="customer_email">{{ 'customer_accounts.register.email' | t }}</label>
                <input class="form-control form-control-lg {% if form.errors contains 'email' %}is-invalid{% endif %}" type="email" value="{{ form.email }}" name="customer[email]" id="customer_email" autocorrect="off" autocapitalize="off">
              </div>
            
              {% if form.password_needed %}
                <div class="form-group mb-4">
                  <label for="customer_password">{{ 'customer_accounts.register.password' | t }}</label>
                  <input class="form-control form-control-lg {% if form.errors contains 'password' %}is-invalid{% endif %}" type="password" value="" name="customer[password]" id="customer_password">
                </div>
              {% endif %}
                {% if form.password_needed %} 
                  <p class="small forgot"> <a href="/account/login#recover" id="recover">{{ 'customer_accounts.login.reset_link' | t }}</a></p>
                {% endif %}  
              {% if current_url %}<input type="hidden" name="checkout_url" value="{{ current_url }}">{% endif %}
              <input class="btn btn-primary mt-1 btn-lg" type="submit" value="{{ 'customer_accounts.login.login_button' | t }}">
            {% endform %}
          </div>
        </div>
      </div>
    </section>
  </div>
  
  <div class="col-12 col-sm-9 d-none" id="RecoverPasswordForm">
    <section class="content">
      <header class="page-header">
        <h1 class="h2 page-title mt-1 mb-2">{{ 'customer_accounts.recover_password.page_title' | t }}</h1>
        <hr class="mb-5">
      </header>
      <div class="customer-recover-form">
        <div class="customer-recover-description mb-4">
          <p class="description">{{ 'customer_accounts.recover_password.description' | t }}</p>
        </div>
        <div class="form-wrapper row no-gutters bg-light py-5 rounded">
           <p class="h6 required-msg text-uppercase" id="HideRecoverPasswordLink">{{ 'customer_accounts.recover_password.note_html' | t: shop_url: shop.url }}</p>
          <div class="col-12 col-md-10 col-lg-8 px-4 recover-form">
            {% form 'recover_customer_password' %}
              {% assign form_errors_message = 'errors.customer_accounts.form_message' | t %}
              {% if form.errors %}
                <div class="alert alert-danger" role="alert">
                  {{ form.errors | default_errors }}
                </div>
              {% endif %}
              {% if form.posted_successfully? %}
              <div class="alert alert-success">
                {{ 'customer_accounts.recover_password.success_message' | t }}
              </div>
              {% endif %}
              <div class="form-group mb-4">
                <label for="customer_email">{{ 'customer_accounts.recover_password.email' | t }}</label>
                <input class="form-control form-control-lg {% if form.errors contains 'email' %}is-invalid{% endif %}" type="email" value="{{ form.email }}" name="email" id="recover-email" autocorrect="off" autocapitalize="off">
              </div>
              <input class="btn btn-primary btn-lg" type="submit" value="{{ 'customer_accounts.recover_password.reset_button' | t }}">
            {% endform %}
          </div>
        </div>
      </div>
    </section>
  </div>
  
</div>
